<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html">
    <h:panelGroup rendered="#{identity.loggedIn}">
        <li class="dropdown"><a href="#" class="dropdown-toggle"
                                data-toggle="dropdown" role="button" aria-expanded="false">
            <h:outputText
                    id="menuWelcomeId" value="#{credentials.username}"/> <span
                class="caret"/> </a>
            <ul class="dropdown-menu" role="menu">
                <li>
                    <h:commandLink immediate="true"
                                   action="#{identity.logout}"
                                   value="#{messages['net.ihe.gazelle.simulators.Logout']}"/>
                </li>
            </ul>
        </li>
    </h:panelGroup>
    <h:panelGroup>
        <li>
            <a4j:commandLink
                    value="#{messages['gazelle.simulator.Login']}"
                    action="#{applicationConfiguration.loginByIP()}"
                    rendered="#{not identity.loggedIn and applicationConfigurationManager.isWorksWithoutCas()}"/>
        </li>
        <li>
            <h:outputLink id="loginLink" value="#{applicationConfigurationManager.getApplicationUrl()}/cas/login"
                          rendered="#{not identity.loggedIn and not applicationConfigurationManager.isWorksWithoutCas()}">
                <h:outputText value="#{messages['gazelle.simulator.loginCAS']}"/>
                <f:param name="request" value="#{request.requestURL}" disable="#{request.queryString != null}"/>
                <f:param name="request" value="#{request.requestURL}?#{request.queryString}"
                         disable="#{request.queryString == null}"/>
            </h:outputLink>
        </li>
    </h:panelGroup>
</ui:composition>
